commit: 5d39c00a495836178169a629752de54f74ea6e45
Author: Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik <DOT>
de>
AuthorDate: Sun Jun 8 17:09:31 2025 +0000
Commit: Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik <DOT>
de>
CommitDate: Mon Jun 9 08:53:22 2025 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=5d39c00a
dev-python/traits: add 6.4.3
Signed-off-by: Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik.de>
dev-python/traits/traits-6.4.3.ebuild | 37 +++++++++++++++++++++++++++++++++++
1 file changed, 37 insertions(+)
diff --git a/dev-python/traits/traits-6.4.3.ebuild
b/dev-python/traits/traits-6.4.3.ebuild
new file mode 100644
index 000000000..5d9ea32b1
--- /dev/null
+++ b/dev-python/traits/traits-6.4.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Enthought Tool Suite: Explicitly typed attributes for Python"
+HOMEPAGE="
+ https://docs.enthought.com/traits/
+ https://github.com/enthought/traits
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+# ToDo: Fix doc building:
+# AttributeError: 'NoDefaultSpecified' object has no attribute '__name__'
+#distutils_enable_sphinx docs/source --no-autodoc
+
+python_prepare_all() {
+ sed -i -e "s/'-O3'//g" setup.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ cd "${T}" || die
+ epytest --pyargs traits
+}